Steps to reproduce
------------------

1. (How do you make the issue happen? Does it happen every time you try it?)
2. (Make sure to go into as much detail as needed to reproduce the issue. Posting your code here can help us resolve the problem much faster!)
3. (If there are any files, like audio recordings, don't forget to include them.)

Expected behaviour
------------------

(What did you expect to happen?)

Actual behaviour
----------------

(What happened instead? How is it different from what you expected?)

```
(If the library threw an exception, paste the full stack trace here)
```

System information
------------------

(Delete all the statements that don't apply.)

My **system** is <INSERT SYSTEM HERE>. (For example, "Ubuntu 16.04 LTS x64", "Windows 10 x64", or "macOS Sierra".)

My **Python version** is <INSERT VERSION HERE>. (You can check this by running `python -V`.)

My **Pip version** is <INSERT VERSION HERE>. (You can check this by running `pip -V`.)

My **SpeechRecognition library version** is <INSERT VERSION HERE>. (You can check this by running `python -c "import speech_recognition as sr;print(sr.__version__)"`.)

My **PyAudio library version** is <INSERT VERSION HERE> / I don't have PyAudio installed. (You can check this by running `python -c "import pyaudio as p;print(p.__version__)"`.)

My **microphones** are: (You can check this by running `python -c "import speech_recognition as sr;print(sr.Microphone.list_microphone_names())"`.)

I **installed PocketSphinx from** <INSERT SOURCE HERE>. (For example, from the Debian repositories, from Homebrew, or from the source code.)
